%global pkg_name hinotify

%global common_summary Haskell binding to INotify

%global common_description This library provides a wrapper to the Linux Kernel's inotify \
feature, allowing applications to subscribe to notifications \
when a file is accessed or modified.

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.3.1
Release:        9%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/cgi-bin/hackage-scripts/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install
mkdir -p %{buildroot}/%{_docdir}/%{name}-%{version}
install -p README %{buildroot}/%{_docdir}/%{name}-%{version}/README


%{?ghc_lib_package}


%changelog
* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.3.1-9
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 0.3.1-7
- Update to cabal2spec-0.22.4
- Rebuild

* Sun Nov 28 2010 Ben Boeckel <mathstuf@gmail.com> - 0.3.1-6
- Rebuild for GHC7

* Sun Nov 07 2010 Ben Boeckel <mathstuf@gmail.com> - 0.3.1-5
- Rebuild

* Wed Sep 01 2010 Ben Boeckel <mathstuf@gmail.com> - 0.3.1-4
- Ship the readme as well

* Tue Aug 31 2010 Ben Boeckel <mathstuf@gmail.com> - 0.3.1-3
- Update to new cabal2spec

* Wed Jun 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.3.1-2
- Merge with cabal2spec-0.22.1 spec

* Thu May 20 2010 Ben Boeckel <mathstuf@gmail.com> - 0.3.1-1
- Initial version

* Thu May 20 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.3.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.21.3
